WordPress 2.5

March 29th, 2008

Congratulations to the WordPress team and the more than 100 contributors who helped to bring this release to the public today.

There are loads of changes, which you can read about in the announcement blog post. Among the most interesting changes for MarsEdit users is the addition of more intelligent “post status” information for blog editor clients. Practically speaking, this means the problems I described in my MarsEdit 2.1 announcement will no longer be an issue for WordPress 2.5 users.

But… Ugh, it looks like I messed something up and MarsEdit 2.1.2 doesn’t accurately detect these statuses on WordPress posts. I will try to get a 2.1.3 out soon that fixes this so we can put the post status problem with WordPress behind us for good.

11 Responses to “WordPress 2.5”

  1. Dan Says:

    Hi,

    I just upgraded to WordPress 2.5, and can no longer post to the blog with MarsEdit2. I get the following error message:

    Can’t do post for xxxxxxx because the server reported an error. XML-RPC Response Parsing Failed: The XML parser could not parse the data.

  2. Dan Says:

    Howdy,

    xmprpc.php needs to be upgraded if one is upgrading WordPress. The upgrading instructions on wordpress.org do not include this step. If anyone has problems with MarsEdit2.1.2 simply update your xmlrpc.php file found in /yourwpdirectory/

  3. Daniel Jalkut Says:

    Dan – since WordPress 2.5 includes an updated xmlrpc.php file, it should automatically be updated at the same time as all the other files in the blog directory are updated. There should be no need to update it separately from the rest of the blog.

  4. Jesse Read Says:

    Good to hear that some of these more innovative features are coming together between MarsEdit and WordPress. I look forwarding to seeing what else is integrated as both projects are developed in the future.

    Slightly off-topic but… well, hey, I’m off topic right now. What kind of features like this are supported with Movable-Type? I had been using that, but I’m really considering hopping over to WordPress just because it’s more popular and seems to be the more advanced project. And I’m due to have a new web project to entertain myself.

  5. Daniel Jalkut Says:

    Jesse – WP has a lot of momentum right now but MT also seems t be getting reinvigorated, especially with the MT Open Source stuff going on. What I’m hoping is that MT will adopt the same conventions that WP is using, so I can at some point just assume that MT supports the same things as WP.

  6. Jesse Read Says:

    Yea, I can see how it would be nice to have to the two support the same standard almost. Would definitely make it easier in terms of writing MarsEdit updates, etc. but it would also leave more of the choice of “Which blog engine should I go with to kick this off?” to a matter of preference instead of well, I need such and such feature but only WP has that… but MT has this… a bunch of trade-offs really.

    But I guess well just have to wait and see, won’t we? Good to hear the MT is starting to gain some pace like WP has. But still, only time will tell if anything comes of it.

  7. macpug Says:

    I’ve been researching blogging tools and sites to use with Mac/Leopard for a few days. This is cool news. I had it narrowed down to MarsEdit and Ecto, then WP and TypePad. Because of this post, I think I’m going to go with MarsEdit and WP….sounds like a good team :)

  8. Daniel Jalkut Says:

    Hi macpug – the great thing about the Mac blogging world is there are a few great toolset combos, but I’m glad you’re leaning towards MarsEdit :)

  9. Amy Gahran Says:

    Hi, Daniel

    I recently upgraded to WordPress 2.5. Just like Dan (above) I am now getting an XML-RPC error when I try to insert an image in a WordPress post using MarsEdit.

    Per your advice I updated my xmlrpc.php file, but I’m still having the same problem.

    Meanwhile, the daily link posts to my blog (which I do via the del.icio.us daily blog post function, which relies on XML-RPC) also has stopped working since the upgrade.

    Any further advice on how to get the upgraded XML-RPC for WP 2/5 to play nice?

    Thanks

    – Amy Gahran

  10. Daniel Jalkut Says:

    Hi Amy – the main thing I’d check is whether you have any plugins installed on your WordPress installation, that might have been incompatible with 2.5. Often these problems can be traced back to a specific plugin that needs to be updated to work correctly with the updated WordPress release.

  11. Amy Gahran Says:

    Thanks, Daniel. I did just update all my plugins a couple of days before the upgrade, but I’ll double-check on that.

    – Amy Gahran

Comments are closed.

Follow the Conversation

Stay up-to-date by subscribing to the Comments RSS Feed for this entry.